Package org.apache.solr.client.solrj.request.beans

## Class CreateShardPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.CreateShardPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

    public class CreateShardPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`Map<String,​Object>` `coreProperties`
`Boolean` `followAliases`
`List<String>` `nodeSet`
`Integer` `nrtReplicas`
`Integer` `pullReplicas`
`Integer` `replicationFactor`
`String` `shard`
`Integer` `tlogReplicas`
`Boolean` `waitForFinalState`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`CreateShardPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### shard

    public String shard

#### nodeSet

    public List<String> nodeSet

#### coreProperties

    public Map<String,​Object> coreProperties

#### followAliases

    public Boolean followAliases

#### async

    public String async

#### waitForFinalState

    public Boolean waitForFinalState

#### replicationFactor

    public Integer replicationFactor

#### nrtReplicas

    public Integer nrtReplicas

#### tlogReplicas

    public Integer tlogReplicas

#### pullReplicas

    public Integer pullReplicas

### Constructor Detail

#### CreateShardPayload

    public CreateShardPayload()